Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes
AES Class Reference

AES winner, announced on 10/2/2000 More...

`#include <aes.h>`

Inheritance diagram for AES:

List of all members.

## Public Types

typedef BlockCipherFinal < ENCRYPTION, Enc > | Encryption
| implements the BlockCipher interface
typedef BlockCipherFinal < DECRYPTION, Dec > | Decryption
| implements the BlockCipher interface

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

AES winner, announced on 10/2/2000

Definition at line 9 of file aes.h.

The documentation for this class was generated from the following file:

- aes.h